Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class SortInfo

    java.lang.Object
      jet.api.SortInfo

    public class SortInfo

extends java.lang.Object

An information package of sort.

Field Summary
`static int` | `ASCENDING` The sort type.
`static int` | `DESCENDING` The sort type.
`static int` | `NOTSORTED` The sort type.

Constructor Summary
`SortInfo(java.lang.String sortBy, int sortOrder)` Constructor.

Method Summary
`java.lang.String` | `getSortBy()` Gets the sortBy field's mapping name.
`int` | `getSortOrder()` Gets the SortInfo's sort type.
`void` | `setSortBy(java.lang.String sortBy)` Sets the sortBy field's mapping name.
`void` | `setSortOrder(int sortOrder)` Sets the SortInfo's sort type.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ASCENDING

    public static final int ASCENDING

  The sort type.

  See Also:
    Constant Field Values

### DESCENDING

    public static final int DESCENDING

  The sort type.

  See Also:
    Constant Field Values

### NOTSORTED

    public static final int NOTSORTED

  The sort type.

  See Also:
    Constant Field Values

Constructor Detail

### SortInfo

    public SortInfo(java.lang.String sortBy,
                    int sortOrder)

  Constructor. Creates sort information.

  Parameters:
    `sortBy` - The mapping name of the sortBy field.
    `sortOrder` - The type of the sort.
  See Also:
    `#ASCENDING}, {@link #DESCENDING}, {@link #NOTSORTED}`

Method Detail

### getSortBy

    public java.lang.String getSortBy()

  Gets the sortBy field's mapping name.

  Returns:
    String value of the sortBy field's mapping name.

### getSortOrder

    public int getSortOrder()

  Gets the SortInfo's sort type.

  Returns:
    the SortInfo's sort type.

### setSortBy

    public void setSortBy(java.lang.String sortBy)

  Sets the sortBy field's mapping name.

  Parameters:
    `SortBy` - field's mapping name.

### setSortOrder

    public void setSortOrder(int sortOrder)

  Sets the SortInfo's sort type.

  Parameters:
    `sortOrder` - The SortInfo's sort type.
  See Also:
    `#ASCENDING}, {@link #DESCENDING}, {@link #NOTSORTED}`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD